Package: groovy.org.codenarc.rule.groovyism

## [Groovy] Class ConfusingMultipleReturnsAstVisitor

- groovy.org.codenarc.rule.groovyism.ConfusingMultipleReturnsAstVisitor

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Set<org.codehaus.groovy.ast.expr.DeclarationExpression>` | `declarations`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `visitClassComplete(org.codehaus.groovy.ast.ClassNode node)`
    `` | `protected void` | `visitClassEx(org.codehaus.groovy.ast.ClassNode node)`
    `` | `void` | `visitDeclarationExpression(org.codehaus.groovy.ast.expr.DeclarationExpression expression)`

- - ### Property Detail

    - #### Set<org.codehaus.groovy.ast.expr.DeclarationExpression> declarations

  - ### Method Detail

    - #### @Override protected void visitClassComplete(org.codehaus.groovy.ast.ClassNode node)

    - #### @Override protected void visitClassEx(org.codehaus.groovy.ast.ClassNode node)

    - #### @Override void visitDeclarationExpression(org.codehaus.groovy.ast.expr.DeclarationExpression expression)